Dataset Preview
The dataset preview is not available for this split.
Cannot load the dataset split (in normal download mode) to extract the first rows.
Error code:   NormalRowsError
Exception:    DatasetGenerationError
Message:      An error occurred while generating the dataset
Traceback:    Traceback (most recent call last):
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 484, in compute_first_rows_response
                  rows = get_rows(
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 119, in decorator
                  return func(*args, **kwargs)
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 175, in get_rows
                  rows_plus_one = list(itertools.islice(ds, rows_max_number + 1))
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/iterable_dataset.py", line 747, in __iter__
                  for key, example in self._iter():
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/iterable_dataset.py", line 737, in _iter
                  yield from ex_iterable
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/iterable_dataset.py", line 106, in __iter__
                  yield from self.generate_examples_fn(**self.kwargs)
                File "/tmp/modules-cache/datasets_modules/datasets/BK-V--arman/907800b37217e135d3175c6a7549f6bfe7b015904b13d5cdda6861c1e806d785/arman.py", line 91, in _generate_examples
                  with open(filepath , encoding='utf-8') as f:
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/streaming.py", line 69, in wrapper
                  return function(*args, use_auth_token=use_auth_token, **kwargs)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 456, in xopen
                  return open(file, mode, *args, **kwargs)
              FileNotFoundError: [Errno 2] No such file or directory: 'arman/data/train.txt'
              
              During handling of the above exception, another exception occurred:
              
              Traceback (most recent call last):
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1514, in _prepare_split_single
                  for key, record in generator:
                File "/tmp/modules-cache/datasets_modules/datasets/BK-V--arman/907800b37217e135d3175c6a7549f6bfe7b015904b13d5cdda6861c1e806d785/arman.py", line 91, in _generate_examples
                  with open(filepath , encoding='utf-8') as f:
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/streaming.py", line 69, in wrapper
                  return function(*args, use_auth_token=use_auth_token, **kwargs)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 456, in xopen
                  return open(file, mode, *args, **kwargs)
              FileNotFoundError: [Errno 2] No such file or directory: 'arman/data/train.txt'
              
              The above exception was the direct cause of the following exception:
              
              Traceback (most recent call last):
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 499, in compute_first_rows_response
                  rows = get_rows(
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 119, in decorator
                  return func(*args, **kwargs)
                File "/src/workers/datasets_based/src/datasets_based/workers/first_rows.py", line 163, in get_rows
                  ds = load_dataset(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/load.py", line 1741, in load_dataset
                  builder_instance.download_and_prepare(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 822, in download_and_prepare
                  self._download_and_prepare(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1555, in _download_and_prepare
                  super()._download_and_prepare(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 913, in _download_and_prepare
                  self._prepare_split(split_generator, **prepare_split_kwargs)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1396, in _prepare_split
                  for job_id, done, content in self._prepare_split_single(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1550, in _prepare_split_single
                  raise DatasetGenerationError("An error occurred while generating the dataset") from e
              datasets.builder.DatasetGenerationError: An error occurred while generating the dataset

Need help to make the dataset viewer work? Open an discussion for direct support.